Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRayCastVolumeInfo Struct Reference

`#include <vtkVolumeRayCastStructures.h>`

Collaboration diagram for vtkRayCastVolumeInfo:

[legend]
List of all members.

## Public Attributes
vtkVolume * | Volume
float | WorldToVolumeMatrix [16]
float | VolumeToWorldMatrix [16]
float | ViewToVolumeMatrix [16]
float | CenterDistance
int | ScalarDataType
void * | ScalarDataPointer
int | DataIncrement [3]
int | DataSize [3]
float | DataSpacing [3]
float | DataOrigin [3]
int | Shading
int | ColorChannels
float | Color [3]
int | InterpolationType
float | RGBTextureCoefficient
float * | RedDiffuseShadingTable
float * | GreenDiffuseShadingTable
float * | BlueDiffuseShadingTable
float * | RedSpecularShadingTable
float * | GreenSpecularShadingTable
float * | BlueSpecularShadingTable
unsigned char * | RGBDataPointer
int | RGBDataIncrement [3]
int | RGBDataSize [3]
float | RGBDataSpacing [3]
float | RGBDataOrigin [3]
unsigned short * | EncodedNormals
unsigned char * | GradientMagnitudes

## Member Data Documentation

vtkVolume* vtkRayCastVolumeInfo::Volume

| Definition at line 48 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::WorldToVolumeMatrix[16]

| Definition at line 51 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::VolumeToWorldMatrix[16]

| Definition at line 52 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::ViewToVolumeMatrix[16]

| Definition at line 53 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::CenterDistance

| Definition at line 57 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::ScalarDataType

| Definition at line 61 of file vtkVolumeRayCastStructures.h.

void* vtkRayCastVolumeInfo::ScalarDataPointer

| Definition at line 62 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::DataIncrement[3]

| Definition at line 63 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::DataSize[3]

| Definition at line 64 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::DataSpacing[3]

| Definition at line 65 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::DataOrigin[3]

| Definition at line 66 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::Shading

| Definition at line 69 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::ColorChannels

| Definition at line 70 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::Color[3]

| Definition at line 71 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::InterpolationType

| Definition at line 72 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::RGBTextureCoefficient

| Definition at line 73 of file vtkVolumeRayCastStructures.h.

float* vtkRayCastVolumeInfo::RedDiffuseShadingTable

| Definition at line 77 of file vtkVolumeRayCastStructures.h.

float* vtkRayCastVolumeInfo::GreenDiffuseShadingTable

| Definition at line 78 of file vtkVolumeRayCastStructures.h.

float* vtkRayCastVolumeInfo::BlueDiffuseShadingTable

| Definition at line 79 of file vtkVolumeRayCastStructures.h.

float* vtkRayCastVolumeInfo::RedSpecularShadingTable

| Definition at line 80 of file vtkVolumeRayCastStructures.h.

float* vtkRayCastVolumeInfo::GreenSpecularShadingTable

| Definition at line 81 of file vtkVolumeRayCastStructures.h.

float* vtkRayCastVolumeInfo::BlueSpecularShadingTable

| Definition at line 82 of file vtkVolumeRayCastStructures.h.

unsigned char* vtkRayCastVolumeInfo::RGBDataPointer

| Definition at line 87 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::RGBDataIncrement[3]

| Definition at line 88 of file vtkVolumeRayCastStructures.h.

int vtkRayCastVolumeInfo::RGBDataSize[3]

| Definition at line 89 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::RGBDataSpacing[3]

| Definition at line 90 of file vtkVolumeRayCastStructures.h.

float vtkRayCastVolumeInfo::RGBDataOrigin[3]

| Definition at line 91 of file vtkVolumeRayCastStructures.h.

unsigned short* vtkRayCastVolumeInfo::EncodedNormals

| Definition at line 94 of file vtkVolumeRayCastStructures.h.

unsigned char* vtkRayCastVolumeInfo::GradientMagnitudes

| Definition at line 95 of file vtkVolumeRayCastStructures.h.

The documentation for this struct was generated from the following file:

- Rendering/vtkVolumeRayCastStructures.h